Lixte Biotechnology Holdings Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1757462400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.lixte.com/news-events/press-releases/detail/137/lixte-biotechnology-holdings-makes-2-6-million-initial-purchase-of-digital-currency-to-diversify-treasury-and-for-potential-acquisitions",
    "holding_balance": 10.5,
    "holding_net_change": 10.5,
    "transaction_value_usd": 1196831.79,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    10.5
  ],
  [
    1779062400000,
    10.5
  ],
  [
    1779148800000,
    10.5
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    813013.53
  ],
  [
    1779062400000,
    807914.8350000001
  ],
  [
    1779148800000,
    805980.105
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 4.82,
    "date": "2026-05-15",
    "high": 5.72,
    "open": 5.44,
    "close": 5.16,
    "volume": 149500
  },
  {
    "low": 4.65,
    "date": "2026-05-18",
    "high": 5.27,
    "open": 5.14,
    "close": 4.7,
    "volume": 67400
  },
  {
    "low": 4.07,
    "date": "2026-05-19",
    "high": 5.49,
    "open": 4.6,
    "close": 5.27,
    "volume": 74493
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 53.2,
  "six_month_return": 25.78,
  "three_month_return": 72.22
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/lixte-biotechnology-holdings-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.3,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}